Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlTypeDef

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlTypeDef

All Implemented Interfaces:
  idlObject, idlTypeDef, java.io.Serializable

public class IdlTypeDef
extends IdlObject
implements idlTypeDef

Cette classe represente l'objet IDL TypeDef

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:23 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlTypeDef(IdlObject father)` Cree un objet IDL TypeDef

Method Summary
`java.util.Enumeration` | `content()` Return this idlObject content
`int` | `getOrder()` Retourne l'ordre d'apparition dans la definition
`idlObject` | `original()` Return the original type
`void` | `setOrder(int ord)` Fixe l'ordre d'apparition dans la definition
`IdlObject` | `type()` Retourne le type du membre
`void` | `type(IdlObject tp)` Fixe le type du membre

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlTypeDef

    public IdlTypeDef(IdlObject father)

  Cree un objet IDL TypeDef

Method Detail

### type

    public IdlObject type()

  Retourne le type du membre
  Overrides:
    `type` in class `IdlObject`
  Returns:
    le type

### type

    public void type(IdlObject tp)

  Fixe le type du membre
  Overrides:
    `type` in class `IdlObject`
  Parameters:
    `tp` - le type

### setOrder

    public void setOrder(int ord)

  Fixe l'ordre d'apparition dans la definition
  Parameters:
    `ord` - l'ordre

### getOrder

    public int getOrder()

  Retourne l'ordre d'apparition dans la definition
  Returns:
    l'ordre

### original

    public idlObject original()

  Description copied from interface: `idlTypeDef`
  Return the original type
  Specified by:
    `original` in interface `idlTypeDef`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD